Skip to main content
GET
List Portfolios

Headers

Content-Type
string

The type of media of the resource. Recommended value is application/json.

X-Request-Id
string<uuid>

A unique identifier used to trace and track each request.

Authorization
string

Bearer JWT token for authentication. Required when PLUGIN_AUTH_ENABLED=true (enforced in multi-tenant deployments). Optional in default OSS single-tenant mode. Format: Bearer <token>

Path Parameters

organization_id
string<uuid>
required

The unique identifier of the Organization associated with the Ledger.

ledger_id
string<uuid>
required

The unique identifier of the associated Ledger.

Query Parameters

limit
integer
default:10

The maximum number of items to include in the response. Max: 100

Required range: 1 <= x <= 100
start_date
string

The beginning of the period you want to retrieve. start_date and end_date are all-or-nothing: supplying only one returns 400. If both are omitted, a default window of the last 1 month is used.

end_date
string

The end of the period you want to retrieve. start_date and end_date are all-or-nothing: supplying only one returns 400. If both are omitted, a default window of the last 1 month is used.

sort_order
enum<string>
default:asc

The order used to sort the results.

Available options:
asc,
desc
page
integer
default:1

The number of the page that you want to retrieve.

Required range: x >= 1
metadata.key
string

Filter by metadata using dot-notation. Replace key with your metadata field name (e.g. metadata.costCenter=BR_11101997).

entity_id
string

Filter the portfolios by the unique identifier of the entity responsible for them.

status
string

Filter the portfolios by their status code.

Response

Indicates that the request was successful and the response contains the expected data.

items
object[]
page
integer

The number of pages returned.

limit
integer

The maximum number of items included in the response.